#
# spec file for package blogbench
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blogbench
Version:        1.1
Release:        bp154.2.20
Summary:        Filesystem Benchmark
License:        ISC
URL:            https://github.com/jedisct1/Blogbench
Source0:        https://download.pureftpd.org/pub/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://download.pureftpd.org/pub/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
Patch1:         fix-rewriters-argcount.patch

%description
Blogbench is a portable filesystem benchmark that tries to reproduce the load
of a real-world busy file server. It stresses the filesystem with multiple
threads performing random reads, writes, and rewrites in order to get a
realistic idea of the scalability and the concurrency a system can handle.

%prep
%setup -q
%patch1 -p1

%build
%configure --enable-dependency-tracking --with-largefile
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/blogbench
%{_mandir}/man8/blogbench.8%{?ext_man}

%changelog
* Mon Apr 19 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed SPEC file: Replaced broken URL with current upstream
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Wed Jun 19 2019 Bill Anastasiadis <vasilios.anastasiadis@suse.com>
- Enable more thorough dependency tracking
* Tue Mar  5 2019 Martin Pluskal <mpluskal@suse.com>
- Update project url
- Modernise spec file
* Mon Mar  9 2015 mpluskal@suse.com
- Correct license
* Sun Mar  8 2015 mpluskal@suse.com
- Add gpg key
- Replace _DATE_
- Cleanup build dependencies
* Wed Feb  4 2015 mpluskal@suse.com
- Tiny spec file cleanup
- Update license
* Fri Dec  6 2013 dsterba@suse.cz
- fix-rewriters-argcount.patch: the --rewriters argument should accept
  a value according to help
- clean up spec file
* Fri Jul 23 2010 pascal.bleser@opensuse.org
- initial package (1.1)
